## demo.webcab.chat.gui
Class TextScrollBeanInfo

    java.lang.Object
      |
      +--java.beans.SimpleBeanInfo
            |
            +--demo.webcab.chat.gui.TextScrollBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

public class TextScrollBeanInfo
extends java.beans.SimpleBeanInfo

The public `BeanInfo` for `TextScroll`. This class tells the IDE which properties can be edited and customized by the end-user.

Author:
  WebCab Components
See Also:
  `TextScroll`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`TextScrollBeanInfo()`

Method Summary
`java.beans.PropertyDescriptor[]` `getPropertyDescriptors()`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextScrollBeanInfo

    public TextScrollBeanInfo()

Method Detail

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

  Overrides:
    `getPropertyDescriptors` in class `java.beans.SimpleBeanInfo`